package com.ElyStudio.leGaou.models;

public class UserData {

    private int statusCode;
    private String message;
    private int id;
    private String uId;
    private String name;
    private String email;
    private String avatar;
    private int coins;
    private int totalCoins;
    private int levelId;
    private int quizPlayed;
    private String inviteCode;
    private String invitedBy;
    private String accountCreated;
    private String userLevel;
    private String userLevelIcon;

    public UserData() {
    }

    public UserData(int statusCode, String message, int id, String uId, String name, String email, String avatar, int coins, int totalCoins, int levelId, int quizPlayed, String inviteCode, String invitedBy, String accountCreated, String userLevel, String userLevelIcon) {
        this.statusCode = statusCode;
        this.message = message;
        this.id = id;
        this.uId = uId;
        this.name = name;
        this.email = email;
        this.avatar = avatar;
        this.coins = coins;
        this.totalCoins = totalCoins;
        this.levelId = levelId;
        this.quizPlayed = quizPlayed;
        this.inviteCode = inviteCode;
        this.invitedBy = invitedBy;
        this.accountCreated = accountCreated;
        this.userLevel = userLevel;
        this.userLevelIcon = userLevelIcon;
    }

    public int getStatusCode() {
        return statusCode;
    }

    public void setStatusCode(int statusCode) {
        this.statusCode = statusCode;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getuId() {
        return uId;
    }

    public void setuId(String uId) {
        this.uId = uId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getAvatar() {
        return avatar;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }

    public int getCoins() {
        return coins;
    }

    public void setCoins(int coins) {
        this.coins = coins;
    }

    public int getTotalCoins() {
        return totalCoins;
    }

    public void setTotalCoins(int totalCoins) {
        this.totalCoins = totalCoins;
    }

    public int getLevelId() {
        return levelId;
    }

    public void setLevelId(int levelId) {
        this.levelId = levelId;
    }

    public int getQuizPlayed() {
        return quizPlayed;
    }

    public void setQuizPlayed(int quizPlayed) {
        this.quizPlayed = quizPlayed;
    }

    public String getInviteCode() {
        return inviteCode;
    }

    public void setInviteCode(String inviteCode) {
        this.inviteCode = inviteCode;
    }

    public String getInvitedBy() {
        return invitedBy;
    }

    public void setInvitedBy(String invitedBy) {
        this.invitedBy = invitedBy;
    }

    public String getAccountCreated() {
        return accountCreated;
    }

    public void setAccountCreated(String accountCreated) {
        this.accountCreated = accountCreated;
    }

    public String getUserLevel() {
        return userLevel;
    }

    public void setUserLevel(String userLevel) {
        this.userLevel = userLevel;
    }

    public String getUserLevelIcon() {
        return userLevelIcon;
    }

    public void setUserLevelIcon(String userLevelIcon) {
        this.userLevelIcon = userLevelIcon;
    }
}
